boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio > Struct Template Reference

List of all members.

## Public Types

typedef PromotedType | promoted_type

## Public Attributes

CoordinateType | dx_a
CoordinateType | dx_b
CoordinateType | dy_a
CoordinateType | dy_b
SegmentRatio | robust_ra
SegmentRatio | robust_rb

### template<typename CoordinateType, typename PromotedType, typename SegmentRatio>
struct boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >

## Member Typedef Documentation

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

typedef PromotedType boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::promoted_type

## Member Data Documentation

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

CoordinateType boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::dx_a

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

CoordinateType boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::dy_a

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

CoordinateType boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::dx_b

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

CoordinateType boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::dy_b

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

SegmentRatio boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::robust_ra

template<typename CoordinateType , typename PromotedType , typename SegmentRatio >

SegmentRatio boost::geometry::segment_intersection_info< CoordinateType, PromotedType, SegmentRatio >::robust_rb

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK